# Class PublishingPlugin

java.lang.Object
org.gradle.api.publish.plugins.PublishingPlugin

All Implemented Interfaces:
  `Plugin<Project>`

@Incubating public class PublishingPlugin extends Object implements Plugin<Project>
Installs a `PublishingExtension` with name "publishing".

Since:
  1.3

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PUBLISH_LIFECYCLE_TASK_NAME`
`static final String`
`PUBLISH_TASK_GROUP`

## Constructor Summary

Constructors
Constructor
Description
`PublishingPlugin(org.gradle.api.internal.artifacts.ArtifactPublicationServices publicationServices, org.gradle.internal.reflect.Instantiator instantiator)`

## Method Summary

Modifier and Type
Method
Description
`void`
`apply(Project project)`
Apply this plugin to the given target object.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PUBLISH_TASK_GROUP

public static final String PUBLISH_TASK_GROUP

See Also:
  - Constant Field Values

### PUBLISH_LIFECYCLE_TASK_NAME

public static final String PUBLISH_LIFECYCLE_TASK_NAME

See Also:
  - Constant Field Values

## Constructor Details

### PublishingPlugin

@Inject public PublishingPlugin(org.gradle.api.internal.artifacts.ArtifactPublicationServices publicationServices, org.gradle.internal.reflect.Instantiator instantiator)

## Method Details

### apply

public void apply(Project project)
Description copied from interface: `Plugin`
Apply this plugin to the given target object.

Specified by:
  `apply` in interface `Plugin<Project>`
Parameters:
  `project` - The target object